Subject: Re: [PATCH] Rewrite branch in C and make it a builtin.

From: Kristian Høgsberg <[email-masked]>
Date: Sat, 02 Sep 2006 13:39:00 -0400

Shawn Pearce wrote:
> Kristian  H??gsberg <[email-masked]> wrote:
>> A more or less straight port to C of the shell script version.
> 
> [snip]
>> +static void create_reflog(struct ref_lock *lock)
> 
> I'm attaching a patch to the reflog code which introduces a new
> force_log option.  You can use set this after you lock the ref
> but before writing it, provided that the user supplied -l on
> the command line.
> 
> This completely replaces the create_reflog function with common code.

Yeah, that should work, I'll send out a new version that uses the new flag.

> I apologize for taking so long to get around to this but I've been
> busy with other stuff lately.  :-)

No problem at all, I'm working on this on and off anyway :)

Kristian

-- 
VGER BF report: U 0.499995